@import url('https://fonts.googleapis.com/css2?family=Darker+Grotesque:wght@300..900&display=swap');

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root{
    /**
    * Colors
    */  
    --backgound-body: #FFF;
    --menu-background-mobile: #d4cbcb;  
    --carro-compras-background: #f1f1f1;
    --footer-background-frontend: #efefef;
    --footer-color-frontend: #000;
    --footer-background: #717172;
    --accordion-principal: #515155;
    --section-background: #c2c2c7;
    --button-hover: #38383a;
    --trash: #C70039;
    --detail-text: #4e4e50;
    --button: #202022;
    --primario: #00339b;
    --section: #faf7f7;
    --badge: #00339b;
    --border: #e1e1e1;
    --white: #FFF;
    --black: #000;
}

body {
    font-family: "Darker Grotesque", sans-serif;
    background: var(--backgound-body);
}

/* 
*  header desktop
*/
.header_desktop-show{
    display: block;
}

.header_desktop{
    display: flex;
    justify-content: space-between;
    align-items: center;

    border-bottom: 1px solid var(--border);

    padding: 15px 25px;
}

.header_desktop .logo{
    display: flex;
    justify-content: flex-start;
    align-items: center;

    gap: 15px;
}

.header_desktop .logo img{
    width: 20%;
}

.header_desktop .menu_horizontal ul{
    list-style-type: none;

    display: flex;
    justify-content: flex-start;
    align-items: center;

    gap: 15px;
}

.header_desktop .menu_horizontal ul a{
    text-decoration: none;
    color: var(--black);
    font-weight: 400;
    font-size: 20px;

    transition: all .5s;
}

.header_desktop .menu_horizontal ul a:hover{
    border-bottom: 1px solid var(--primario);
    color: var(--primario);
}

.header_desktop .icons{
    display: flex;
    justify-content: flex-start;
    align-items: center;

    gap: 25px;
}

.header_desktop .icons a{
    text-decoration: none;
    color: var(--black);
    font-weight: 400;
    font-size: 20px;
}

.header_desktop .icons .carrito{
    position: relative;
}

.header_desktop .icons .carrito .count{
    position: absolute;
    color: var(--primario);
    font-size: 17px;
    font-weight: bold;
    left: 12px;
    top: 10px;
}

/* 
*  header mobile
*/
.header_mobile-show{
    display: none;
}

.header_mobile{
    position: relative;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 10px 15px;
}

.header_mobile .logo{
    text-align: center;
}

.header_mobile .logo img{
    width: 50%;
}

.header_mobile .icons{
    position: relative;
}

.header_mobile .icons .count{
    position: absolute;
    color: var(--primario);
    font-size: 17px;
    font-weight: bold;
    left: 19px;
    top: 13px;
}

.header_mobile .menu_vertical{
    position: absolute;
    background: var(--border);
    z-index: 25;
    height: 100vh;
    width: 100%;

    visibility: hidden;
    opacity: 0;
    top: 250px;
    left: 0;

    transition: all .5s ease;
}

.header_mobile .menu_vertical.show{
    visibility: visible;
    opacity: 1;
    top: 0;
}

.header_mobile .menu_vertical ul{
    list-style-type: none;
    padding: 2px 15px;
}

.header_mobile .menu_vertical ul a{
    text-decoration: none;
    padding: 5px 5px;
    color: var(--black);
    font-weight: 400;
    font-size: 24px;
}

.header_mobile .menu_vertical .cierre{
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 15px 20px;
}

/* 
.header_mobile .menu_vertical .cierre:hover{
    outline: 1px solid var(--primario);
    outline-offset: 2px;
}
 */
 
.header_mobile .menu_vertical .cierre h5{
    text-transform: uppercase;
    color: var(--black);
    font-weight: 400;
    font-size: 20px;
}

/**
* Dropdown front-end desktop
*/
.dropdown-10 {
    display: inline-block;
    position: relative;
    z-index: 25;
}
  
.dd-button-10 {
    display: inline-block;
    border: 1px solid gray;
    border-radius: 4px;
    padding: 10px 30px 10px 20px;
    background-color: #ffffff;
    cursor: pointer;
    white-space: nowrap;
    font-weight: 300;
    font-size: 20px;
}
  
.dd-button-10:after {
    content: '';
    position: absolute;
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
    width: 0; 
    height: 0; 
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid black;
}
  
.dd-button-10:hover {
    background-color: #eeeeee;
}
  
.dd-input-10 {
    display: none;
}
  
.dd-menu-10 {
    position: absolute;
    top: 100%;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 0;
    margin: 2px 0 0 0;
    box-shadow: 0 0 6px 0 rgba(0,0,0,0.1);
    background-color: #ffffff;
    list-style-type: none;
    height: 85px;
    overflow-y: scroll;
    width: 100%;
}

.dd-input-10 + .dd-menu-10 {
    display: none;
} 
  
.dd-input-10:checked + .dd-menu-10 {
    display: block;
} 
  
.dd-menu-10 li {
    padding: 5px 15px;
    cursor: pointer;
    white-space: nowrap;
    font-weight: 300;
    font-size: 20px;
}
  
.dd-menu-10 li:hover {
    background-color: #f6f6f6;
}
  
.dd-menu-10 li a {
    display: block;
    margin: -5px -15px;
    padding: 5px 15px;
}
  
.dd-menu-10 li.divider{
    padding: 0;
    border-bottom: 1px solid #cccccc;
}

/**
 * FRONT-END: Panel carro de compras
 * ---------
 */
 .lamina--background{
    position: absolute;
    background: rgb(0, 0, 0, .2);
    display: none;
    z-index: 25;
    height: 100vh;
    width: 100%;
    left: 0;
    top: 0;
}

.lamina--background.show{
    display: block;
}

/**
 * Carro de compras
 * -----
 */
.carro_compras{
    position: absolute;
    background: var(--carro-compras-background);
    height: 100vh;
    width: 375px;
    z-index: 27;
    top: 250px;
    right: 0;

    padding: 5px 15px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.carro_compras.show{
    visibility: visible;
    opacity: 1;
    top: 0;
}

.carro_compras .cierre{
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 15px 20px;
}

.carro_compras .cierre h5{
    text-transform: uppercase;
    color: var(--black);
    font-weight: 400;
    font-size: 20px;
}

.carrito__panel--scroll{
    overflow-y: auto;
    height: 335px;
}

.carrito__panel--cart_item{
    display: flex;
    justify-content: flex-start;
    align-items: start;
}

.carrito__panel--text{
    padding: 0 5px;
}

.carrito__panel--text h5{
    color: var(--black);
    font-family: 400;
    font-size: 17px;
}

.carrito__panel--text p{
    color: var(--button);
    margin-bottom: 2px;
    font-family: 400;
    font-size: 17px;
}

.carrito__panel--quantity-trash{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.carrito__panel--quantity-input{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.carrito__panel--quantity-input a{
    margin: 0 5px;
}

.carrito__panel--quantity-input input{
    border: 0;
    text-align: center;
    height: 40px;
}

/* Chrome, Safari, Edge, Opera 
*  quitar flechas de sumar
*  y restar
*/
.carrito__panel--quantity-input input::-webkit-outer-spin-button,
.carrito__panel--quantity-input input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.carrito__panel--subtotal{
    padding-top: 20px;
    color: var(--black);
    font-weight: 400;
    font-size: 17px;
}

.carrito__panel--footer{
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 5px 5px;
}

.carrito__panel--footer-text p{
    font-weight: 400;
    font-size: 20px;
    color: #000;
}

.carrito__panel--footer-subtotal p{
    font-weight: 400;
    font-size: 17px;
    color: #000;
}

.carrito__panel--footer-button .button__checkout{
    display: flex;
    justify-content: center;
    align-items: center;

    text-decoration: none;

    height: 50px;
    width: 100%;
    background-color: #2e3141;
    border-radius: 5px;
    border: 0;
    color: #FFF;
    font-size: 20px;
    transition: .3s;
}

.carrito__panel--footer-button .button__checkout:hover{
    background-color: #727583;
}

.carrito__panel--footer-button .comentario{
    margin-top: 10px;
    border: 1px solid #eee;
    padding: 10px 35px;
    text-align: center;
}

.carrito__panel--footer-button .comentario p{
    font-size: 13px;
}

.carrito_empty{
    display: flex;
    justify-content: center;
    align-items: center;
}

.carrito_empty p{
    color: var(--primario);
    font-weight: 400;
    font-size: 20px;
    padding: 55px 0;
}


/** 
*  Nuestros Productos
*/
.nuestros_productos{
    padding: 120px 0 80px 0;
}

.nuestros_productos .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

/* 
.nuestros_productos .title{
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 15px 5px;
}
 */
 
.nuestros_productos .typed-out{
    overflow: hidden;
    border-right: .15em solid #000;
    white-space: nowrap;
    color: var(--primario); 
    text-transform: uppercase; 
    font-weight: 400; 
    font-size: 24px;
    width: 0;
}

.animate-typing-1.active_typing div .typed-out{
    animation: typing 1s steps(20, end) forwards, blinking .8s infinite;
}

@keyframes blinking {
    from 
    { 
        border-color: transparent;
    }
    
    to 
    { 
        border-color: #000; 
    }
}

@keyframes typing {
    from 
    {     
        width: 0; 
    }

    to 
    { 
        width: 100%; 
    }
}

.nuestros_productos .subrayado{
    display: flex;
    justify-content: center;
    align-items: center;
}

.nuestros_productos .subrayado-guion{
    background: var(--black);
    margin-bottom: 45px;
    width: 100px; 
    height: 1px; 
}

/* 
* Productos page inicio
*/
.container_desktop{
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 5px 150px 150px 150px;
}

.productos_desktop{
    position: relative;
}

.productos_desktop .caja1{
    position: absolute;

    visibility: hidden;
    opacity: 0;

    left: 50px;
    top: 5px;

    transition: all .5s;
}
 
.productos_desktop .caja{
    height: 120px;
}

.productos_desktop .caja1{
    position: absolute;

    visibility: hidden;
    opacity: 0;

    left: 50px;
    top: 5px;

    transition: all .5s;
}

.productos_desktop .caja1.active{
    visibility: visible;
    opacity: 1;

    left: 150px;
}

.productos_desktop .caja1 img{
    max-width: 285px;
}

.productos_desktop .caja1 .caja-body{
    background: var(--white);
    max-width: 285px;
}


.overlay_caja1_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 150px;
    right: 5px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.card:hover .overlay_caja1_producto{
    visibility: visible;
    opacity: 1;
    top: 30px;
}

.overlay_caja1_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_caja1_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}


.productos_desktop .caja2{
    border: 1px solid var(--border);
    position: absolute;

    visibility: hidden;
    opacity: 0;

    left: 450px;
    top: 150px;
    
    transition: all .3s;
}

.productos_desktop .caja2.active{
    visibility: visible;
    opacity: 1;

    top: 5px;
}

.productos_desktop .caja2 img{
    max-width: 285px;
}

.productos_desktop .caja2 .caja-body{
    background: var(--white);
    max-width: 285px;
}

.overlay_caja2_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 150px;
    right: 5px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.overlay_caja2_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 150px;
    right: 5px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.card:hover .overlay_caja2_producto{
    visibility: visible;
    opacity: 1;
    top: 30px;
}

.overlay_caja2_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_caja2_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}


.productos_desktop .caja3{
    border: 1px solid var(--border);
    position: absolute;
    
    visibility: hidden;
    opacity: 0;

    left: 850px;
    top: 5px;
    
    transition: all .5s;
}

.productos_desktop .caja3.active{
    visibility: visible;
    opacity: 1;

    left: 750px;
}

.productos_desktop .caja3 img{
    max-width: 285px;
}

.productos_desktop .caja3 .caja-body{
    background: var(--white);
    max-width: 285px;
}

.overlay_caja3_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 150px;
    right: 5px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.card:hover .overlay_caja3_producto{
    visibility: visible;
    opacity: 1;
    top: 30px;
}

.overlay_caja3_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_caja3_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}


.productos_mobile{
    display: none;
}

.productos_mobile .card{
    margin-bottom: 10px;
    padding: 5px;
}

.overlay_mobile_1_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 30px;
    right: 5px;
}

.overlay_mobile_1_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_mobile_1_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_mobile_2_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 30px;
    right: 5px;
}

.overlay_mobile_2_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_mobile_2_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_mobile_3_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 30px;
    right: 5px;
}

.overlay_mobile_3_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_mobile_3_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.productos_mobile .card-body{
    text-align: center;
}

.productos_mobile h5{
    color: var(--primario);
    font-size: 24px;
    font-weight: 400;
}

.productos_mobile p{
    color: var(--primario);
    font-size: 20px;
    font-weight: 300;
}

.dropdown_desktop_mobile{
    display: block;
}

.carrito_desktop{
    display: block;
}

.carrito_mobile{
    display: none;
}

/**
 * Ribbon
 */
 .ribbon__warp{
    height: 150px;
    width: 150px;
    position: absolute;
    overflow: hidden;
    left: -5px;
    top: -5px;
}

.ribbon__warp::before {
    content: "";
    width: 10px;
    height: 5px;
    background: #444;
    position: absolute;
    z-index: 1;
    right: 37px;
    top: 0;
}

.ribbon__warp::after {
    content: "";
    width: 5px;
    height: 10px;
    background: #444;
    position: absolute;
    z-index: 1;
    bottom: 37px;
    left: 0;    
}
 
.ribbon {
    width: 230px;
    font-size: 12px;
    text-transform: uppercase;
    text-align: center;
    padding: 8px 0;
    background: #444;
    color: #FFF;
    position: absolute;
    transform: rotate(-45deg);
    z-index: 2;
    right: -5%;
    top: 20%;
}


/** 
*  CSS de AUTENTICACIÓN
*  --------------------
*  - login
*  - Register
*/

/** 
*  Login
*/
.login{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}

.login .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

.login_email{
    border: none;
    border: 1px solid var(--border);
    margin: 50px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.login_password{
    border: none;
    border: 1px solid var(--border);
    margin: 10px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.login_forgot_password{
    color: var(--primario);
    font-weight: 300;
    font-size: 20px;
}

.login_forgot_password:hover{
    color: var(--border)
}

.login_button{
    border: 1px solid var(--black);
    background: var(--black);
    border-radius: 4px;
    color: var(--white);
    text-transform: uppercase;
    font-weight: 300;
    font-size: 20px;
    height: 50px;
    width: 500px;

    transition: 0.2s ease;
}

.login_button:hover{
    background: var(--white);
    color: var(--black);
}

.login_create_account{
    color: var(--primario);
    font-weight: 300;
    font-size: 20px;
}

.login_create_account:hover{
    color: var(--black);
}

/** 
*  Register
*/
.register{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}
/* 
.register .title{
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 15px 5px;
}
 */
.register .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

.register_name{
    border: none;
    border: 1px solid var(--border);
    margin: 50px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.register_email{
    border: none;
    border: 1px solid var(--border);
    margin: 10px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.register_password{
    border: none;
    border: 1px solid var(--border);
    margin: 10px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.register_password-confirm{
    border: none;
    border: 1px solid var(--border);
    margin: 10px 0 10px 0;
    padding: 5px 20px;
    font-weight: 300;
    font-size: 20px;
    height: 55px;
    width: 500px;
}

.register_button{
    border: 1px solid var(--black);
    background: var(--black);
    border-radius: 4px;
    color: var(--white);
    text-transform: uppercase;
    font-weight: 300;
    font-size: 20px;
    height: 50px;
    width: 500px;

    transition: 0.2s ease;
}

.register_button:hover{
    background: var(--white);
    color: var(--black);
}


/** 
*  Productos
*/
.productos{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}

.productos .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

.overlay_caja_producto{
    display: flex;
    flex-direction: column;
    gap: 10px;

    position: absolute;
    padding: 10px 5px;
    top: 150px;
    right: 5px;

    visibility: hidden;
    opacity: 0;

    transition: all .5s;
}

.card:hover .overlay_caja_producto{
    visibility: visible;
    opacity: 1;
    top: 30px;
}

.overlay_caja_producto .icon__search{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}

.overlay_caja_producto .icon__bag{
    background: var(--border);
    border-radius: 5px;
    padding: 5px;
}


/** 
*  Contacto
*/
.contacto{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}

.contacto .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}


/** 
*  Preguntas más Frecuentes
*/
.preguntas{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}

.preguntas .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}


/** 
*  Experiencia
*/
.experiencia{
    background-color: var(--section);
    padding-bottom: 20px;
    padding-top: 30px;
}

.experiencia .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}


/** 
*  Checkout
*/
.checkout{
    background-color: var(--section);
    padding-bottom: 200px;
    padding-top: 30px;
}

.checkout .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

/**
* Acordion Checkout
*/
.accordion-2 {
    margin-top: 5px;

    background-color: #444;
    color: var(--white);
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-align: left;
    outline: none;
    font-size: 17px;

    transition: 0.4s;
}
  
.active, .accordion-2:hover {
    background-color: #ccc;
    color: var(--black);
}

.accordion-2:after {
    content: '\002B';
    color: #777;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2212";
}

.panel-2 {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
}
 
.panel-2 ul{
    list-style: none;
    padding: 0;
    margin: 0;
}
 
.panel-2 ul li{
    padding: 5px 0;
}
 
.panel-2 ul li a{
    text-decoration: none;
    font-weight: 400;
    font-size: 20px;
    color: #000;
}

.hr-2{
    padding: .1px 0;
}

/**
*  Calendario del checkout
*/
.checkout__calendario{
    position: absolute; 
    border: 1px solid var(--border); 
    background: var(--white);
    height: 400px;
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    visibility: hidden;
    opacity: 0;
    top: 200px; 
    left: 0; 

    transition: all .5s;
}

.checkout__calendario.show{
    visibility: visible;
    opacity: 1;
    top: 0; 
}

/**
*   Carrusel de las zonas en el checkout
*/
.carousel-item{
    background: #444;
    color: var(--white);
    height: 250px;
    width: 100%;
}

/**
*   Checkout seleccion de zonas
*/
.checkout__frame--zonas{
    position: relative;

    text-align: center;
    padding: 10px 15px;
    margin: 10px 0;
    width: 100%;
}

.checkout__button--zonas{
    background: var(--primario);
    text-transform: uppercase;
    text-decoration: none;
    color: var(--white);
    font-weight: 400;
    font-size: 17px;
    padding: 10px 15px;
}

.checkout__popup--frame{
    position: absolute;
    background: #efefef;
    visibility: hidden;
    opacity: 0;
    width: 100%;
    top: 250px;
    left: 0;

    transition: all .5s ease;
}

.checkout__popup--frame.show{
    visibility: visible;
    opacity: 1;
    top: 0;
}

.checkout__popup--inner{
    position: relative;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.checkout__popup--icon-close{
    display: flex;
    justify-content: flex-end;
    align-items: center;

    padding: 5px;
}

.checkout__popup--box{
    position: relative;

    border: 1px solid var(--border);
    background: var(--white);
    color: var(--black);
    font-weight: 300;
    font-size: 20px;
    min-height: 250px;
    min-width: 290px;
    padding: 15px;
}

.checkout__popup--button--prev{
    position: absolute;

    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    cursor: pointer;
    padding: 8px 10px;
    z-index: 25;

    left: 5px;
    top: 295px;
}

.checkout__popup--button--next{
    position: absolute;

    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    cursor: pointer;
    padding: 8px 10px;
    z-index: 25;

    right: 5px;
    top: 295px;
}

/** 
*  Detalle del producto
*/
.detail--flex-frames{
    display: flex; 
    flex-direction: row; 
    justify-content: space-between;
    align-items: center;

    background-color: var(--section);
    padding-bottom: 120px;
    padding-top: 30px;

}

.detail--flex-column-izq{
    padding: 10px 25px;
    width: 100%; 
}

.detail--flex-column-der{
    padding: 10px 25px;
    width: 100%; 
}

.detail--flex-column-der .detail-name{
    padding: 2px 0;
}

.detail--flex-column-der .detail_name h5{
    color: #444;
}

.detail--flex-column-der .detail_precio{
    padding: 2px 0;
}

.detail--flex-column-der .detail_precio h5{
    font-size: 20px;
}

.detail--flex-column-der .detail_financiacion{
    padding: 15px 0;
}

.detail--flex-column-der .detail_financiacion h5{
    font-size: 17px;
}

.detalle .title{
    display: flex;
    justify-content: center;
    align-items: center;

    text-transform: uppercase;
    margin-bottom: 30px;
    padding: 10px 5px;

    color: var(--primario);
    font-weight: 400;
    font-size: 24px;
}

.detail__panel--quantity-and-button{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 25px 0;
}

.detail__panel--quantity-input{
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.detail__panel--quantity-input a{
    margin: 0 5px;
}

.detail__panel--quantity-input input{
    border: 0;
    text-align: center;
    height: 40px;
}

/**
* Accordion de la información del producto
*/
.accordion-4 {
    background-color: var(--accordion-principal);
    color: var(--white);
    cursor: pointer;
    padding: 18px 10px;
    border: none;
    width: 100%;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-align: left;
    outline: none;
    font-weight: 300;
    font-size: 17px;
    transition: 0.4s;
    margin: 1px 0;
}
  
.active, .accordion-4:hover {
    background-color: #ccc;
}

.accordion-4:after {
    content: '\002B';
    color: #777;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}

.active:after {
    content: "\2212";
}

.panel-4 {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.5s ease-out;
}
 
.panel-4 ul{
    list-style: none;
    padding: 0;
    margin: 0;
}
 
.panel-4 ul li{
    padding: 5px 0;
}
 
.panel-4 ul li a{
    text-decoration: none;
    color: var(--black);
    font-weight: 400;
    font-size: 17px;
}
 
.panel-4 p{
    color: var(--black);
    font-weight: 300;
    font-size: 17px;
}

.hr-4{
    padding: .1px 0;
}

.footer{
    background: var(--footer-background-frontend);
    padding: 50px 0 55px 0;
}

.footer ul{
    list-style-type: none;
    padding: 5px 15px;
    margin: 0;
}

.footer ul li{
    margin: 5px 0;
}

.footer ul li a{
    text-decoration: none;
    color: var(--footer-color-frontend);
    font-weight: 300;
    font-size: 20px;
}

.footer ul li:hover a{
    font-weight: 400;
}

.footer .ambito_column{
    padding: 5px 15px;
    margin: 0;
}

.footer .ambito_column .title h5{
    color: var(--footer-color-frontend);
}

.footer .ambito_column p a{
    color: var(--footer-color-frontend);
    font-weight: 300;
    font-size: 20px;
}

.footer .ambito_column p:hover a{
    font-weight: 400;
}

.footer .ambito_column p a{
    text-decoration: none;
}

#myBtn {
    display: none;
    position: fixed;
    
    bottom: 20px;
    right: 30px;
    
    border-radius: 4px;
    font-size: 18px;
    border: 1px solid #d9d5d2;
    background-color: var(--primario);
    cursor: pointer;
    padding: 10px;

    outline: none;
    z-index: 99;
}
  
#myBtn:hover {
    border: 2px solid #978f8f;
}


/*
* GOOGLE MAPS 
* Property styles in unhighlighted state.
*/
.property {
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 20px;
    justify-content: center;
    padding: 4px;
    position: relative;
    transition: all 0.3s ease-out;
    width: 20px;
}




@media screen and (max-width:576px){

    .carrusel_next_frame{
        right: 55px;
    }

    .detail--flex-frames{
        flex-direction: column; 
        justify-content: center;
    }
                   
}

@media screen and (max-width:768px){

    .header_desktop-show{
        display: none;
    }
    
    .header_mobile-show{
        display: block;
    }

    .carro_compras{
        width: auto;
    }
    
    .carrito__panel--scroll{
        height: 345px;
    }

    .productos_desktop{
        display: none;
    }

    .productos_mobile{
        display: block;
    }
    
}